
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>PostgreSQL 10.0 preview 功能增强 - 动态视图pg_stat_activity新增数据库管理进程信息 / iVAN</title>

    <meta name="description" content="PostgreSQL 10.0 preview 功能增强 - 动态视图pg_stat_activity新增数据库管理进程信息 标签 PostgreSQL , 10.0 , pg_stat_activity , 管理进程 , 后台进程 , 工作进程 , 并行计算进程 背景 PostgreSQL为进程模型,启动时.启动后会fork一些管理进程,以及用户连接时会产生用户的服侍进程. 例如 1. postmaster,负责监听 2. startup进程,负责recovery 3. logger, 负责写日志 4. shared buffer writer,负责通过LRU算法刷脏页,持久化数据文件 5. wal buffer w">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">PostgreSQL 10.0 preview 功能增强 - 动态视图pg_stat_activity新增数据库管理进程信息</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>标签</h3>
<p>PostgreSQL , 10.0 , pg_stat_activity , 管理进程 , 后台进程 , 工作进程 , 并行计算进程</p>
<hr>
<h2>背景</h2>
<p>PostgreSQL为进程模型，启动时、启动后会fork一些管理进程，以及用户连接时会产生用户的服侍进程。</p>
<p>例如</p>
<p>1. postmaster，负责监听</p>
<p>2. startup进程，负责recovery</p>
<p>3. logger, 负责写日志</p>
<p>4. shared buffer writer，负责通过LRU算法刷脏页，持久化数据文件</p>
<p>5. wal buffer writer，负责将WAL写入WAL日志文件</p>
<p>6. checkpointer，负责检查点任务</p>
<p>7. stats process，负责收集统计信息，更新计数器计数（query 消耗资源统计、表插入记录数、更新记录数、删除记录数、deadtuple 等等）。</p>
<p>8. autovacuum launcher，负责监控表的年龄，垃圾比例，触动阈值时唤醒vacuum worker进行垃圾回收，更新表的统计信息（用于执行计划成本计算的统计信息，pg_stats）。</p>
<p>9. autovacuum worker，自动垃圾回收的工作进程。</p>
<p>10. 并行计算worker process，当执行并行计算任务时的工作进程。</p>
<p>11. wal sender，作为上游节点时，流复制消息发送进程。</p>
<p>12. wal receiver，作为下游节点是，流复制消息接收进程。</p>
<p>13. 其他worker process，其他插件开发的工作进程。</p>
<p>14. user backend process，用户进程。</p>
<p>以前的版本，数据库的管理进程都不会被展示出来，10.0扩展了pg_stat_activity视图的功能，增加了一个进程类型字段，所有进程的信息都会被展示。</p>
<p>方便管理员观察数据库的运行状态。</p>
<pre><code>+    &lt;row&gt;
+     &lt;entry&gt;&lt;structfield&gt;backend_type&lt;/structfield&gt;&lt;/entry&gt;
+     &lt;entry&gt;&lt;type&gt;text&lt;/type&gt;&lt;/entry&gt;
+     &lt;entry&gt;Type of current backend. Possible types are
+      &lt;literal&gt;autovacuum launcher&lt;/&gt;, &lt;literal&gt;autovacuum worker&lt;/&gt;,
+      &lt;literal&gt;background worker&lt;/&gt;, &lt;literal&gt;background writer&lt;/&gt;,
+      &lt;literal&gt;client backend&lt;/&gt;, &lt;literal&gt;checkpointer&lt;/&gt;,
+      &lt;literal&gt;startup&lt;/&gt;, &lt;literal&gt;walreceiver&lt;/&gt;,
+      &lt;literal&gt;walsender&lt;/&gt; and &lt;literal&gt;walwriter&lt;/&gt;.
+     &lt;/entry&gt;
+    &lt;/row&gt;
</code></pre>
<p>patch信息如下</p>
<pre><code>Show more processes in pg_stat_activity.  

Previously, auxiliary processes and background workers not connected
to a database (such as the logical replication launcher) weren't
shown.  Include them, so that we can see the associated wait state
information.  Add a new column to identify the processes type, so that
people can filter them out easily using SQL if they wish.  

Before this patch was written, there was discussion about whether we
should expose this information in a separate view, so as to avoid
contaminating pg_stat_activity with things people might not want to
see.  But putting everything in pg_stat_activity was a more popular
choice, so that's what the patch does.  

Kuntal Ghosh, reviewed by Amit Langote and Michael Paquier.  Some
revisions and bug fixes by me.  

Discussion: http://postgr.es/m/CA+TgmoYES5nhkEGw9nZXU8_FhA8XEm8NTm3-SO+3ML1B81Hkww@mail.gmail.com
</code></pre>
<p>这个patch的讨论，详见邮件组，本文末尾URL。</p>
<p>PostgreSQL社区的作风非常严谨，一个patch可能在邮件组中讨论几个月甚至几年，根据大家的意见反复的修正，patch合并到master已经非常成熟，所以PostgreSQL的稳定性也是远近闻名的。</p>
<h2>参考</h2>
<p><a href="https://git.postgresql.org/gitweb/?p=postgresql.git;a=commit;h=fc70a4b0df38bda6a13941f1581f25fbb643c7f3" rel="external nofollow noreferrer">https://git.postgresql.org/gitweb/?p=postgresql.git;a=commit;h=fc70a4b0df38bda6a13941f1581f25fbb643c7f3</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-20 00:21:45</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ad%98%e5%82%a8%e4%b8%8e%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据存储与数据库">数据存储与数据库</a>, <a href="https://www.iamivan.net/tag/postgresql/" title="PostgreSQL">PostgreSQL</a>, <a href="https://www.iamivan.net/tag/type/" title="type">type</a>, <a href="https://www.iamivan.net/tag/%e6%97%a5%e5%bf%97/" title="日志">日志</a>, <a href="https://www.iamivan.net/tag/%e5%b9%b6%e8%a1%8c%e8%ae%a1%e7%ae%97/" title="并行计算">并行计算</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>PostgreSQL 10.0 preview 功能增强 - 动态视图pg_stat_activity新增数据库管理进程信息的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5o3Pmb.html" rel="bookmark">PostgreSQL 10&period;0 preview 功能增强 - 增加access method CHECK接口amcheck</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				标签 PostgreSQL , 10.0 , amcheck , 逻辑一致性检测 , 物理存储检测 背景 一些高端存储.包括ZFS文件系统,在使用了RAID后,有块检测和异常块的修复功能. 对于数据库来说,数据的可靠性是非常重要的指标,例如: 1. 写进入是什么,读出来就应该是什么. 2. 当操作系统的collate发生变化时,索引的顺序可能与实际的collate顺序不匹配.造成不稳定现象. 3. 数据块partial write,可能导致数据损坏. 4. 内存页异常,使用到某些异常页时,可能带			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnKyXKz.html" rel="bookmark">PostgreSQL 10&period;0 preview 功能增强 - 后台运行&lpar;pg&lowbar;background&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				标签 PostgreSQL , 10.0 , 后台运行 , pg_background_launch , pg_background_result , pg_background_detach , pg_background 背景 当用户在管理数据库时,如果要在交互式界面跑一些QUERY,但是不知道QUERY要运行多久,担心网络问题或者其他问题导致终端断开,QUERY执行情况不明的话.就需要后台运行这个功能了. 后台运行在LINUX中也很常见,比如 nohup ls -la / &gt;/tmp/re			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVQrmDp.html" rel="bookmark">PostgreSQL 10&period;0 preview 功能增强 - 逻辑订阅端 控制参数解说</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				标签 PostgreSQL , 10.0 , 逻辑订阅 背景 PostgreSQL 逻辑订阅相关文章请参考 &lt;PostgreSQL 10.0 preview 变化 - 逻辑复制pg_hba.conf变化,不再使用replication条目&gt; &lt;PostgreSQL 10.0 preview 功能增强 - 备库支持逻辑订阅,订阅支持主备漂移了&gt; &lt;PostgreSQL 10.0 preview 功能增强 - 逻辑复制支持并行COPY初始化数据&gt; &lt;PostgreSQ			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd694mb.html" rel="bookmark">PostgreSQL 10&period;0 preview 功能增强 - OLAP增强 向量聚集索引&lpar;列存储扩展&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				标签 PostgreSQL , 10.0 , Vertical Clustered Index (columnar store extension) , 列存储 , 向量聚集索引 背景 未来数据库OLTP+OLAP逐渐模糊化,需求逐渐融合是一个大的趋势,如果你的数据库只支持OLTP的场景,未来可能会成为业务的绊脚石. 在这方面PostgreSQL每年发布的新版本,都给用户很大的惊喜,OLTP已经具备非常强大的竞争力(性能.功能.稳定性.成熟度.案例.跨行业应用等),而OLAP方面,新增的feat			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnK410z.html" rel="bookmark">PostgreSQL 10&period;0 preview 功能增强 - 客户端ACL（pg&lowbar;hba&period;conf动态视图）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				标签 PostgreSQL , ACL , pg_hba.conf 背景 pg_hba.conf文件是用于控制客户端访问PostgreSQL数据库的防火墙配置(ACL),以往我们要了解数据库配置的ACL,必须打开这个文件进行查看. 例如 cat $PGDATA/pg_hba.conf # PostgreSQL Client Authentication Configuration File # ===================================================			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV0A7lM.html" rel="bookmark">PostgreSQL 10&period;0 preview 功能增强 - 老板特性&comma; LONG SQL过程可视 pg&lowbar;stat&lowbar;progress&lowbar;vacuum</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				标签 PostgreSQL , 10.0 , pg_stat_progress_vacuum 背景 在PostgreSQL中执行SQL时,如果SQL执行时间比较长,总想知道它执行到哪里了,还剩余多少任务,剩余多少时间. 目前PostgreSQL增加了对VACUUM的可视监控(目前涵盖了autovacuum与手工的vacuum命令,但是不涵盖VACUUM FULL),将来还会加入更多的progress动态视图,方便用户了解LONG SQL或者任务的执行情况. 动态视图解释如下 可以了解每个vacu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj8486p.html" rel="bookmark">PostgreSQL 10&period;0 preview 功能增强 - 逻辑复制支持并行COPY初始化数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				标签 PostgreSQL , 10.0 , 逻辑复制 , 初始数据COPY 背景 PostgreSQL 已支持逻辑复制,同时对逻辑复制增加了一个初始同步的增强功能,支持通过wal receiver协议跑COPY命令(已封装在逻辑复制的内核代码中),支持多表并行. 也就是说,你可以使用PostgreSQL的逻辑复制,快速的(流式.并行)将一个实例迁移到另一个实例. Logical replication support for initial data copy Add functionalit			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxWGP7b.html" rel="bookmark">PostgreSQL 10&period;0 preview 功能增强 - 备库支持&amp;quot&semi;时间、字节&amp;quot&semi;六维延迟</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				标签 PostgreSQL , 10.0 , 时间度量备库延迟 , pg_stat_replication 背景 pg_stat_replication视图中有4个字段记录了从备库反馈的WAL位点.如下: postgres=# \d pg_stat_replication View &quot;pg_catalog.pg_stat_replication&quot; Column | Type | Modifiers ------------------+-------------------------			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrXVdOz.html" rel="bookmark">PostgreSQL 10&period;0 preview 功能增强 - 分区表&lpar;hash&comma;range&comma;list&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				标签 PostgreSQL , 10.0 , 分区表 背景 PostgreSQL 10.0将支持range,list分区表,同时hash分区处于POC阶段(同时还有一些需要改进的地方,例如优化器部分). 如果你使用的是10.0以前的版本,可以使用pg_pathman插件实现分区,pg_pathman已经非常的完美. PostgreSQL支持伪表作为分区,例如外部表,物化视图.伪表作为分区有很多可以适合的使用场景,例如将外部表作为分区,则可以实现sharding场景. 分区表用法 https://			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMljBNz.html" rel="bookmark" class="title">网页设计&colon;CSS3、HTML5、JS和框架</a>
					<div>
						文章描述:网页设计:CSS3.HTML5.JS和框架.  如今大热的HTML5到底美在哪里?HTML5到底能为实际的移动开发带来哪些改变?来自阿里云云手机服务运营部的前端开发工程师分享了他眼中的HTM ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8aoxz.html" rel="bookmark" class="title">页面两侧对联广告&lpar;允许关闭&rpar;代码效果</a>
					<div>
						对联|对联广告|页面 点击此处查看效果 现在很多网站广告做的如火如荼,现在我就来介绍一下常见的对联浮动广告效果的代码使用方法,本文介绍的这种效果,在1024*768分辨率下正常显示,在800*600的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVn7Pnz.html" rel="bookmark" class="title">Fireworks打造标签式网页导航条</a>
					<div>
						现在标签式网页导航条效果在很多大网站都非常常见,本文告诉您如何使用fireworks打造此类标签式导航条效果.首先让我们来看下最后的效果: 1.打开FW 8.0 (笔者使用的是8.0版,当然其它版本也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrorPp.html" rel="bookmark" class="title">PS抽出滤镜快速抠图方法</a>
					<div>
						原图 最终效果 1.打开原图,复制一层,用多边套索工具,勾出蒲公英主体部分,按Ctrl + Alt + D把选区羽化3个像素,然后按Ctrl + J复制到新的图层.  					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKlR5M.html" rel="bookmark" class="title">PS制作漂亮心电图效果艺术字</a>
					<div>
						难度不大,希望大家喜欢. 先来看看 photoshop教程最终效果: 下面就是具体的制作步骤: 一.创建一个新文档,大小请自由决定,在这里我使用了700*700像素.然后新建一个图层填充黑色. 二.双 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eVrWb.html" rel="bookmark" class="title">GUI是什么&quest;</a>
					<div>
						  1.简介 由Xerox(施乐)首先发明. 如Windows是以&quot;wintel标准&quot;方式操作的,因为你可以用鼠标来点击按钮来进行操作,很直观.而DOS就不具备GUI,所以他只能输 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKAYOM.html" rel="bookmark" class="title">桌面彻底删除的文件怎么恢复？</a>
					<div>
						  小编在这里推荐一款性价比很高的软件,顶尖数据恢复软件,这款数据恢复软件的功能不错,扫描的地方加入了瞬时功能,将扫描的时间大大缩短,不仅如此,这款瞬时功能还用在了恢复的过程中,让原本比较缓慢的恢复进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3GDmp.html" rel="bookmark" class="title">最常用的调用WIN7系统注册表的一些方法</a>
					<div>
						注册表(Registry)是现在用户们常用的Windows系统部分,用户们可以通过修改注册表,达到各种目的.不过Win7系统该怎么打开注册表,却还有一些用户不清楚,因此今天小编就和大家说说注册表的打开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr34jWp.html" rel="bookmark" class="title">酷我音乐盒mac使用帮助</a>
					<div>
						  酷我音乐盒mac版是针对苹果电脑用户而开发的免费音乐播放器,继承了windows版本的特性并且采用了mac的简洁主义风格界面,支持播放各种格式的音乐,支持卡拉ok,网络自动下载歌词等功能,让你听音 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOaZNQM.html" rel="bookmark" class="title">smarty内置函数config&lowbar;load用法实例&lowbar;php实例</a>
					<div>
						本文实例讲述了smarty内置函数config_load用法.分享给大家供大家参考.具体如下: {config_load}用于从配置文件中,加载到配置变量.详细用法如下: 配置文件:foo.conf  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXw5nyM.html" rel="bookmark" class="title">Squirrel 连接Hive</a>
					<div>
						最近接手了一个数据分析的项目,开发语言是Hive. 看到见小伙伴们开发调试都在命令行上,经常需要window下编写hive sql,再拷贝到linux中进行执行,效率感觉比较低.于是,想寻找一个客户端 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQenap.html" rel="bookmark" class="title">网页播放opengl-openGL生成的程序在网页中运行</a>
					<div>
						问题描述 openGL生成的程序在网页中运行 问题描述:我们的系统是BS系统,但在网页中有画面还原的功能,该功能为一段10秒左右的3D动画,该动画由客户完成采用的是openGL生成. 请教大家的问题: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NqAJM.html" rel="bookmark" class="title">visual-char &ast;ptr&lbrack;N&rsqb;&equals;&lbrace;&amp;amp&semi;amp&semi;quot&semi;pascal&amp;amp&semi;amp&semi;quot&semi;&comma;&amp;amp&semi;amp&semi;quot&semi;basic&amp;amp&semi;amp&semi;quot&semi;</a>
					<div>
						问题描述 char *ptr[N]={&quot;pascal&quot;,&quot;basic&quot; char *ptr[N]={&quot;pascal&quot;,&quot;basic ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydW84b.html" rel="bookmark" class="title">JavaScript设计模式入门和框架中的实践</a>
					<div>
						在编写JS和组装代码的过程中,运用一定的设计模式可以让我们的代码更加优雅.灵活. 下面笔者就结合诸如redux的subsscribe.ES6的class.vue里面的$dispatch.jquery里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z403NNz.html" rel="bookmark" class="title">SolidFire推面向云服务的全闪存阵列</a>
					<div>
						据悉,闪存阵列初创公司SolidFire推出了全闪存阵列,具有in-line重复数据删除.压缩和自动精简配置功能,与传统SAN阵列相比,有效地增加了容量,同时降低了每GB的成本. 市场营销副总裁Jay ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBLL8M.html" rel="bookmark" class="title">java 笔试题-网易类的初始化的笔试题</a>
					<div>
						问题描述 网易类的初始化的笔试题 public class Father { public static String desc = &quot;Father&quot;; static { Syst ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7lwWM.html" rel="bookmark" class="title">韩国通信委员会批准苹果iPhone进入</a>
					<div>
						北京时间9月23日晚间消息,据国外媒体报道,韩国通信委员会(以下简称&quot;KCC&quot;)周三表示,已经为苹果iPhone进入韩国市场&quot;颁发通行证&quot;.此举可能改变韩国手机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgR1D6b.html" rel="bookmark" class="title">python下module、package导入</a>
					<div>
						#encoding=utf-8&quot;&quot;&quot;模块:1.import demo #导入demo.py下的所有的函数,调用方法为:demo.function()2.from demo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLBEnM.html" rel="bookmark" class="title">提高关键词质量度有什么办法</a>
					<div>
						http://www.aliyun.com/zixun/aggregation/11238.html&quot;&gt;百度推广质量度可以有效评估网民对用户该关键词认可程度和关注度,有效衡量用户该关键 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnqgAM.html" rel="bookmark" class="title">南海建设新型智慧城市 服务大民生领域</a>
					<div>
						9月4日,南海区召开区委理论学习中心组专题学习会,并发布了新型智慧城市建设3年行动计划:9月5日,南海区迎来21个大数据产业.新型智慧城市项目签约落地,推动新型智慧城市建设的三年蓝图从纸上走到现实.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JmEwz.html" rel="bookmark" class="title">IOS实时视频聊天问题</a>
					<div>
						问题描述 因为项目需要,在视频聊天时,要对视频流进行处理,看到CallViewController.m里面的captureOutput方法,似乎对视频输出进行了压缩和旋转,能否大概解释一下这块的逻辑? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWJXOz.html" rel="bookmark" class="title">解析如何在android中增加gsensor驱动（MMA7660）&lowbar;Android</a>
					<div>
						系统原来用的是BOSCH_BMA222的gsensor, 现在要求换成使用MMA7660,我们来看一下怎样增加驱动和调试过程. 1. 修改Makefie首先,修改放置驱动的目录里的Makefile(k ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWDWlz.html" rel="bookmark" class="title">时间做比较的问题，牛人进来说说</a>
					<div>
						问题描述 前台会传到后台一个时间是字符串类型的yyyymmdd,让这个时间和当前时间做比较,两个日子在5个月以内查正式库,以外查历史库,后台可以得到当前时间,问题是把日期都转成date类型做比较效率快 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9j8xdp.html" rel="bookmark" class="title">界面-android fragmentmanager替换</a>
					<div>
						问题描述 android fragmentmanager替换 xmlns:tools=&quot;http://schemas.android.com/tools&quot; android:layo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXdBZ5p.html" rel="bookmark" class="title">IT人员在保护企业数据时应了解的八件事</a>
					<div>
						本文讲的是IT人员在保护企业数据时应了解的八件事,相信最近发生的泄库事件让所有的企业IT管理人员都如履薄冰,如何才能保护企业的敏感信息不泄漏,成了目前企业IT管理人员的必修课.以下是我们总结出来的企业 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWl38p.html" rel="bookmark" class="title">SAP发布平台发展战略，高度关注云计算、物联网、AI与用户体验</a>
					<div>
						根据本月的一系列战略性沟通与对话,事实证明SAP公司不仅对云计算抱有严肃态度,同时亦开始将其业务的未来命运押在其中,即致力于构建最为现代化.最具吸引力且功能最强的企业云平台. 随着各类组织机构在过去一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9NDPkp.html" rel="bookmark" class="title">Cocos2d入门--3--向量的应用</a>
					<div>
						小球向一个方向持续运动的Demo HelloWorldScene.h ...... //设置一个protected的属性 protected: cocos2d::Vec2 _vec; ...... H ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9N8gkp.html" rel="bookmark" class="title">王亚伟携手徐翔加仓广汇股份</a>
					<div>
						王亚伟又一次选择了在一些人离开的时候坚守,而从目前来看,他至少取得了阶段性的胜利.10月20日,广汇股份(600256.SH)发布的三季报显示,在前十大流通股股东中,王亚伟执掌的华夏大盘依旧以2000 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baqxA2b.html" rel="bookmark" class="title">Insect Workflow</a>
					<div>
						今天整理代码,发现一个去年写的简单的工作流引擎,基于petri网(参考这里的笔记),实现了顺序.并行.循环和选择四种路由,资源也实现了人工驱动和定时.延迟时间驱动:目前只实现了将工作流数据保存在内存的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9Nolgp.html" rel="bookmark" class="title">施耐德电气观点：数据中心锂电池时代的到来</a>
					<div>
						中国北京,2016年6月20日--在过去的几年中,锂电池技术和结构构造具有很大的进化与演变,其性能.安全性和成本都得到了显著改善. 电动汽车市场以及其他市场需求推动了锂电池技术的重大演变,而三相UPS ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
